summaryrefslogtreecommitdiff
path: root/dev-python/flake8-polyfill
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/flake8-polyfill
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/flake8-polyfill')
-rw-r--r--dev-python/flake8-polyfill/Manifest1
-rw-r--r--dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild36
-rw-r--r--dev-python/flake8-polyfill/metadata.xml11
3 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/flake8-polyfill/Manifest b/dev-python/flake8-polyfill/Manifest
new file mode 100644
index 000000000000..e642a86f41ed
--- /dev/null
+++ b/dev-python/flake8-polyfill/Manifest
@@ -0,0 +1 @@
+DIST flake8-polyfill-1.0.2.tar.gz 7591 BLAKE2B 59c55e054b04098ad2e1c95d3464f3582fdfe2a83da75c8cebf556e2e7e32abeccf1bf69ec2d0b5c9790179d1c905da21b27e60e1c9810b62502c455193851fe SHA512 767a599aacbe87328b3e36bd85e0841870760ed9bd95dd3a4a9084edc6f0ae89f8203d565c2b075f16f1db21b647c17b2aa59b08e4702109d7e5f79f36d9f3fa
diff --git a/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild
new file mode 100644
index 000000000000..c6401841c1dc
--- /dev/null
+++ b/dev-python/flake8-polyfill/flake8-polyfill-1.0.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Polyfill package for Flake8 plugins"
+HOMEPAGE="https://gitlab.com/pycqa/flake8-polyfill"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+EGIT_REPO_URI="https://gitlab.com/pycqa/flake8-polyfill.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Get rid of the test that seems to test only the migration from
+ # pep8 to pycodestyle (bug 598918).
+ rm "tests/test_stdin.py" || die
+ sed -e 's|\[pytest\]|\[tool:pytest\]|' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/flake8-polyfill/metadata.xml b/dev-python/flake8-polyfill/metadata.xml
new file mode 100644
index 000000000000..61b3c4cdfcb3
--- /dev/null
+++ b/dev-python/flake8-polyfill/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">flake8-polyfill</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>